#!/bin/sh -x
#
#Adds PulseAudio support to the Flash browser plugin
#http://git.0pointer.de/?p=libflashsupport.git;a=summary

tce-load -i git pulseaudio5-dev libtool automake compiletc

mkdir ~/libflashsupport-pulse
cd ~/libflashsupport-pulse

git clone http://git.0pointer.de/repos/libflashsupport.git ~/libflashsupport-pulse

sed -i 's|#define V4L1|//#define V4L1|g' ~/libflashsupport-pulse/flashsupport.c

CFLAGS="-mtune=generic -Os -pipe -fpic" CXXFLAGS="-mtune=generic -Os -pipe  -fpic -fno-exceptions -fno-rtti"

NOCONFIGURE=1 ./bootstrap.sh
./configure --prefix=/usr/local
make


